Bug 421566 - System setting crash
Summary: System setting crash
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kcmutils
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.70.0
Platform: OpenSUSE Linux
: NOR crash
Target Milestone: ---
Assignee: David Faure
URL:
Keywords: drkonqi
: 421699 421828 422233 (view as bug list)
Depends on:
Blocks: 421898
  Show dependency treegraph
 
Reported: 2020-05-15 13:29 UTC by nailspahija
Modified: 2020-05-29 19:03 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.71


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nailspahija 2020-05-15 13:29:41 UTC
Application: systemsettings5 (5.18.5)

Qt Version: 5.14.1
Frameworks Version: 5.70.0
Operating System: Linux 5.6.11-1-default x86_64
Windowing system: X11
Distribution: "openSUSE Tumbleweed"

-- Information about the crash:
- What I was doing when the application crashed:
When i clicked on Yast application in the System Settings, the app got crashed.

The crash can be reproduced every time.

-- Backtrace:
Application: System Settings (systemsettings5), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fabe34c6f00 (LWP 5959))]

Thread 9 (Thread 0x7fabc158e700 (LWP 5968)):
#0  0x00007fabe5e034fc in read () from /lib64/libc.so.6
#1  0x00007fabe3ffe37f in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fabe3fb6537 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fabe3fb6982 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fabe3fb6aff in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fabe63b0beb in QEventDispatcherGlib::processEvents (this=0x7fabb4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fabe6358b7b in QEventLoop::exec (this=this@entry=0x7fabc158dd80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#7  0x00007fabe61835ce in QThread::exec (this=this@entry=0x557eac8655b0) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#8  0x00007fabe54626e5 in QQmlThreadPrivate::run (this=0x557eac8655b0) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/qml/qml/ftw/qqmlthread.cpp:155
#9  0x00007fabe6184698 in QThreadPrivate::start (arg=0x557eac8655b0) at thread/qthread_unix.cpp:342
#10 0x00007fabe49b6efa in start_thread () from /lib64/libpthread.so.0
#11 0x00007fabe5e123bf in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fabc3650700 (LWP 5967)):
#0  0x00007fabe5e034fc in read () from /lib64/libc.so.6
#1  0x00007fabe3ffe37f in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fabe3fb6537 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fabe3fb6982 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fabe3fb6aff in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fabe63b0beb in QEventDispatcherGlib::processEvents (this=0x7fabbc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fabe6358b7b in QEventLoop::exec (this=this@entry=0x7fabc364fd80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#7  0x00007fabe61835ce in QThread::exec (this=this@entry=0x557eac5fe620) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#8  0x00007fabe54626e5 in QQmlThreadPrivate::run (this=0x557eac5fe620) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/qml/qml/ftw/qqmlthread.cpp:155
#9  0x00007fabe6184698 in QThreadPrivate::start (arg=0x557eac5fe620) at thread/qthread_unix.cpp:342
#10 0x00007fabe49b6efa in start_thread () from /lib64/libpthread.so.0
#11 0x00007fabe5e123bf in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fabc3fff700 (LWP 5966)):
#0  0x00007fabe49bd795 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fabda5b081b in ?? () from /usr/lib64/dri/i965_dri.so
#2  0x00007fabda5b0697 in ?? () from /usr/lib64/dri/i965_dri.so
#3  0x00007fabe49b6efa in start_thread () from /lib64/libpthread.so.0
#4  0x00007fabe5e123bf in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fabd8f2e700 (LWP 5965)):
#0  0x00007fabe49bd795 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fabda5b081b in ?? () from /usr/lib64/dri/i965_dri.so
#2  0x00007fabda5b0697 in ?? () from /usr/lib64/dri/i965_dri.so
#3  0x00007fabe49b6efa in start_thread () from /lib64/libpthread.so.0
#4  0x00007fabe5e123bf in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fabd972f700 (LWP 5964)):
#0  0x00007fabe49bd795 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fabda5b081b in ?? () from /usr/lib64/dri/i965_dri.so
#2  0x00007fabda5b0697 in ?? () from /usr/lib64/dri/i965_dri.so
#3  0x00007fabe49b6efa in start_thread () from /lib64/libpthread.so.0
#4  0x00007fabe5e123bf in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fabd9f30700 (LWP 5963)):
#0  0x00007fabe49bd795 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fabda5b081b in ?? () from /usr/lib64/dri/i965_dri.so
#2  0x00007fabda5b0697 in ?? () from /usr/lib64/dri/i965_dri.so
#3  0x00007fabe49b6efa in start_thread () from /lib64/libpthread.so.0
#4  0x00007fabe5e123bf in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fabdbfff700 (LWP 5962)):
#0  0x00007fabe5e034fc in read () from /lib64/libc.so.6
#1  0x00007fabe3ffe37f in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fabe3fb6537 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fabe3fb6982 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fabe3fb6aff in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fabe63b0beb in QEventDispatcherGlib::processEvents (this=0x7fabd4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fabe6358b7b in QEventLoop::exec (this=this@entry=0x7fabdbffed70, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#7  0x00007fabe61835ce in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#8  0x00007fabe50a8507 in ?? () from /usr/lib64/libQt5DBus.so.5
#9  0x00007fabe6184698 in QThreadPrivate::start (arg=0x7fabe512ada0) at thread/qthread_unix.cpp:342
#10 0x00007fabe49b6efa in start_thread () from /lib64/libpthread.so.0
#11 0x00007fabe5e123bf in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fabe13bf700 (LWP 5961)):
#0  0x00007fabe5e07acf in poll () from /lib64/libc.so.6
#1  0x00007fabe4986772 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007fabe498743a in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007fabe15c1ab0 in QXcbEventQueue::run (this=0x557eac0e2680) at qxcbeventqueue.cpp:228
#4  0x00007fabe6184698 in QThreadPrivate::start (arg=0x557eac0e2680) at thread/qthread_unix.cpp:342
#5  0x00007fabe49b6efa in start_thread () from /lib64/libpthread.so.0
#6  0x00007fabe5e123bf in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fabe34c6f00 (LWP 5959)):
[KCrash Handler]
#4  0x00007fabe5d4eea1 in raise () from /lib64/libc.so.6
#5  0x00007fabe5d3853d in abort () from /lib64/libc.so.6
#6  0x00007fabe614baef in qt_message_fatal (context=..., message=<synthetic pointer>...) at global/qlogging.cpp:1894
#7  QMessageLogger::fatal (this=this@entry=0x7ffe46962b30, msg=msg@entry=0x7fabe75a7880 "Accessed invalid KPluginInfo object") at global/qlogging.cpp:893
#8  0x00007fabe75550db in KPluginInfo::setPluginEnabled (enabled=<optimized out>, this=<optimized out>) at /usr/include/qt5/QtCore/qlogging.h:90
#9  0x00007fabe75550f3 in KPluginInfo::service (this=<optimized out>) at /usr/include/qt5/QtCore/qlogging.h:90
#10 0x00007fabe79406d5 in KCModuleInfo::service (this=this@entry=0x557eac5b7268) at /usr/src/debug/kcmutils-5.70.0-1.1.x86_64/src/kcmoduleinfo.cpp:165
#11 0x00007fabe796320f in ModuleView::addModule (this=this@entry=0x557eac5d1070, module=0x557eac5b7268) at /usr/src/debug/systemsettings5-5.18.5-1.1.x86_64/core/ModuleView.cpp:160
#12 0x00007fabe796525d in ModuleView::loadModule (menuItem=..., this=0x557eac5d1070) at /usr/src/debug/systemsettings5-5.18.5-1.1.x86_64/core/ModuleView.cpp:150
#13 ModuleView::loadModule (this=0x557eac5d1070, menuItem=...) at /usr/src/debug/systemsettings5-5.18.5-1.1.x86_64/core/ModuleView.cpp:134
#14 0x00007fabd833f7af in SidebarMode::loadModule (this=this@entry=0x557eac5c5750, activeModule=...) at /usr/src/debug/systemsettings5-5.18.5-1.1.x86_64/sidebar/SidebarMode.cpp:457
#15 0x00007fabd834205a in SidebarMode::loadModule (activeModule=..., this=0x557eac5c5750) at /usr/src/debug/systemsettings5-5.18.5-1.1.x86_64/sidebar/SidebarMode.cpp:443
#16 SidebarMode::qt_static_metacall (_o=_o@entry=0x557eac5c5750, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=15, _a=_a@entry=0x7ffe46962fe0) at /usr/src/debug/systemsettings5-5.18.5-1.1.x86_64/build/sidebar/systemsettings_sidebar_mode_autogen/EWIEGA46WW/moc_SidebarMode.cpp:443
#17 0x00007fabd8343e03 in SidebarMode::qt_metacall (this=0x557eac5c5750, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0x7ffe46962fe0) at /usr/src/debug/systemsettings5-5.18.5-1.1.x86_64/build/sidebar/systemsettings_sidebar_mode_autogen/EWIEGA46WW/moc_SidebarMode.cpp:562
#18 0x00007fabe53fbdbd in QQmlObjectOrGadget::metacall (this=this@entry=0x7ffe46963320, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, index@entry=27, argv=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/include/QtQml/5.14.1/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#19 0x00007fabe52db5cd in CallMethod (object=..., index=<optimized out>, returnType=returnType@entry=43, argCount=<optimized out>, argTypes=<optimized out>, engine=engine@entry=0x557eac5b4cc0, callArgs=<optimized out>, callType=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:1300
#20 0x00007fabe52dd844 in CallPrecise (object=..., data=..., engine=engine@entry=0x557eac5b4cc0, callArgs=callArgs@entry=0x7fabc2a115b8, callType=callType@entry=QMetaObject::InvokeMetaMethod) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/include/QtQml/5.14.1/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:196
#21 0x00007fabe52de62e in QV4::QObjectMethod::callInternal (this=<optimized out>, thisObject=0x7fabc2a11540, argv=<optimized out>, argc=1) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/qml/jsruntime/qv4qobjectwrapper.cpp:2127
#22 0x00007fabe52fc931 in QV4::FunctionObject::call (argc=<optimized out>, argv=<optimized out>, thisObject=<optimized out>, this=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/include/QtQml/5.14.1/QtQml/private/../../../../../src/qml/jsruntime/qv4functionobject_p.h:172
#23 QV4::Moth::VME::interpret (frame=0x7ffe46963610, engine=0x557eac5b4cc0, code=0x7fabc2a11540 "\340\327J\302\253\177") at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:754
#24 0x00007fabe52fe867 in QV4::Moth::VME::exec (frame=frame@entry=0x7ffe46963610, engine=engine@entry=0x557eac5b4cc0) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/qml/jsruntime/qv4vme_moth.cpp:463
#25 0x00007fabe528f86d in QV4::Function::call (this=this@entry=0x557eac6daaf0, thisObject=<optimized out>, argv=argv@entry=0x7fabc2a11500, argc=<optimized out>, context=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/qml/jsruntime/qv4function.cpp:69
#26 0x00007fabe5419d27 in QQmlJavaScriptExpression::evaluate (this=this@entry=0x557ead61da00, callData=callData@entry=0x7fabc2a114d0, isUndefined=isUndefined@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/include/QtQml/5.14.1/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:343
#27 0x00007fabe53c19ee in QQmlBoundSignalExpression::evaluate (this=<optimized out>, a=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/include/QtQml/5.14.1/QtQml/private/../../../../../src/qml/jsruntime/qv4jscall_p.h:95
#28 0x00007fabe53c2a68 in QQmlBoundSignal_callback (e=0x557ead61d9b0, a=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/include/QtQml/5.14.1/QtQml/private/../../../../../src/qml/qml/qqmlboundsignalexpressionpointer_p.h:69
#29 0x00007fabe53fb82d in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/qml/qml/qqmlnotifier.cpp:104
#30 0x00007fabe53a4cf4 in QQmlData::signalEmitted (object=0x557ead619600, index=64, a=0x0) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/qml/qml/qqmlengine.cpp:858
#31 0x00007fabe638e565 in doActivate<false> (sender=0x557ead619600, signal_index=64, argv=0x0) at kernel/qobject_p.h:110
#32 0x00007fabe08a0908 in QQuickAbstractButtonPrivate::handleRelease (this=0x557ead6196c0, point=...) at qquickabstractbutton.cpp:180
#33 0x00007fabe0880f75 in QQuickControl::mouseReleaseEvent (this=<optimized out>, event=0x7ffe46965b30) at /usr/include/qt5/QtGui/qevent.h:128
#34 0x00007fabe5822208 in QQuickItem::event (this=0x557ead619600, ev=0x7ffe46965b30) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/quick/items/qquickitem.cpp:8089
#35 0x00007fabe6e65caf in QApplicationPrivate::notify_helper (this=this@entry=0x557eac0bfef0, receiver=receiver@entry=0x557ead619600, e=e@entry=0x7ffe46965b30) at kernel/qapplication.cpp:3684
#36 0x00007fabe6e6edf0 in QApplication::notify (this=0x7ffe46966a80, receiver=0x557ead619600, e=0x7ffe46965b30) at kernel/qapplication.cpp:3430
#37 0x00007fabe6359fe2 in QCoreApplication::notifyInternal2 (receiver=0x557ead619600, event=0x7ffe46965b30) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:153
#38 0x00007fabe583d4ed in QQuickWindowPrivate::deliverMouseEvent (this=this@entry=0x557eac2e7e50, pointerEvent=0x557eac647720) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/quick/items/qquickwindow.cpp:1891
#39 0x00007fabe583ebe7 in QQuickWindowPrivate::deliverPointerEvent (this=this@entry=0x557eac2e7e50, event=0x557eac647720) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/quick/items/qquickwindow.cpp:2454
#40 0x00007fabe583f985 in QQuickWindowPrivate::handleMouseEvent (event=0x7ffe46965b30, this=0x557eac2e7e50) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/quick/items/qquickwindow.cpp:2317
#41 QQuickWindowPrivate::handleMouseEvent (this=0x557eac2e7e50, event=0x7ffe46965b30) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/quick/items/qquickwindow.cpp:2270
#42 0x00007fabe677c45d in QWindow::event (this=this@entry=0x557eac5d0ca0, ev=ev@entry=0x7ffe46965b30) at kernel/qwindow.cpp:2359
#43 0x00007fabe58413a9 in QQuickWindow::event (this=0x557eac5d0ca0, e=0x7ffe46965b30) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/quick/items/qquickwindow.cpp:1773
#44 0x00007fabe6e65caf in QApplicationPrivate::notify_helper (this=this@entry=0x557eac0bfef0, receiver=receiver@entry=0x557eac5d0ca0, e=e@entry=0x7ffe46965b30) at kernel/qapplication.cpp:3684
#45 0x00007fabe6e6edf0 in QApplication::notify (this=0x7ffe46966a80, receiver=0x557eac5d0ca0, e=0x7ffe46965b30) at kernel/qapplication.cpp:3430
#46 0x00007fabe6359fe2 in QCoreApplication::notifyInternal2 (receiver=0x557eac5d0ca0, event=0x7ffe46965b30) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:153
#47 0x00007fabe5b56c37 in QQuickWidget::mouseReleaseEvent (this=<optimized out>, e=0x7ffe46966170) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/quickwidgets/qquickwidget.cpp:1398
#48 0x00007fabe6ea85ae in QWidget::event (this=this@entry=0x557eac5fb6e0, event=event@entry=0x7ffe46966170) at kernel/qwidget.cpp:8675
#49 0x00007fabe5b56de3 in QQuickWidget::event (this=0x557eac5fb6e0, e=0x7ffe46966170) at /usr/src/debug/libqt5-qtdeclarative-5.14.1-1.3.x86_64/src/quickwidgets/qquickwidget.cpp:1551
#50 0x00007fabe6e65caf in QApplicationPrivate::notify_helper (this=this@entry=0x557eac0bfef0, receiver=receiver@entry=0x557eac5fb6e0, e=e@entry=0x7ffe46966170) at kernel/qapplication.cpp:3684
#51 0x00007fabe6e6f043 in QApplication::notify (this=<optimized out>, receiver=0x557eac5fb6e0, e=0x7ffe46966170) at kernel/qapplication.cpp:3128
#52 0x00007fabe6359fe2 in QCoreApplication::notifyInternal2 (receiver=0x557eac5fb6e0, event=0x7ffe46966170) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:153
#53 0x00007fabe6e6e123 in QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x557eac5fb6e0, event=event@entry=0x7ffe46966170, alienWidget=alienWidget@entry=0x557eac5fb6e0, nativeWidget=0x557eac1a4540, buttonDown=buttonDown@entry=0x7fabe73959a0 <qt_button_down>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2614
#54 0x00007fabe6ec35e9 in QWidgetWindow::handleMouseEvent (this=0x557eac2f2e80, event=0x7ffe469665f0) at /usr/include/c++/9/bits/atomic_base.h:413
#55 0x00007fabe6ec6684 in QWidgetWindow::event (event=0x7ffe469665f0, this=0x557eac2f2e80) at kernel/qwidgetwindow.cpp:295
#56 QWidgetWindow::event (this=0x557eac2f2e80, event=0x7ffe469665f0) at kernel/qwidgetwindow.cpp:238
#57 0x00007fabe6e65caf in QApplicationPrivate::notify_helper (this=this@entry=0x557eac0bfef0, receiver=receiver@entry=0x557eac2f2e80, e=e@entry=0x7ffe469665f0) at kernel/qapplication.cpp:3684
#58 0x00007fabe6e6edf0 in QApplication::notify (this=0x7ffe46966a80, receiver=0x557eac2f2e80, e=0x7ffe469665f0) at kernel/qapplication.cpp:3430
#59 0x00007fabe6359fe2 in QCoreApplication::notifyInternal2 (receiver=0x557eac2f2e80, event=0x7ffe469665f0) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:153
#60 0x00007fabe67714d3 in QGuiApplicationPrivate::processMouseEvent (e=e@entry=0x557eacd4d1a0) at kernel/qguiapplication.cpp:2209
#61 0x00007fabe6772b65 in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x557eacd4d1a0) at kernel/qguiapplication.cpp:1941
#62 0x00007fabe674c53b in QWindowSystemInterface::sendWindowSystemEvents (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1163
#63 0x00007fabe15c2a6a in xcbSourceDispatch (source=<optimized out>) at qxcbeventdispatcher.cpp:105
#64 0x00007fabe3fb66e8 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#65 0x00007fabe3fb6a70 in ?? () from /usr/lib64/libglib-2.0.so.0
#66 0x00007fabe3fb6aff in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#67 0x00007fabe63b0bce in QEventDispatcherGlib::processEvents (this=0x557eac190b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#68 0x00007fabe6358b7b in QEventLoop::exec (this=this@entry=0x7ffe46966990, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:136
#69 0x00007fabe6360952 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:118
#70 0x0000557eabdb79c8 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/systemsettings5-5.18.5-1.1.x86_64/app/main.cpp:70
[Inferior 1 (process 5959) detached]

Possible duplicates by query: bug 421053, bug 420989, bug 420826, bug 420407, bug 420176.

Reported using DrKonqi
Comment 1 Wolfgang Bauer 2020-05-20 11:07:16 UTC
*** Bug 421699 has been marked as a duplicate of this bug. ***
Comment 2 Wolfgang Bauer 2020-05-20 11:14:56 UTC
FTR, this is the content of the corresponding .desktop file /usr/share/kservices5/YaST-systemsettings.desktop (openSUSE-specific):

[Desktop Entry]
Type=Service
Name=YaST
Icon=yast-control-center
GenericName=Administrator Settings
Exec=kdesu -c /sbin/yast2
X-KDE-System-Settings-Parent-Category=system-administration 
X-KDE-ServiceTypes=SystemSettingsExternalApp
Comment 3 Wolfgang Bauer 2020-05-20 11:35:06 UTC
It's apparently caused by this commit in kcmutils:
https://commits.kde.org/kcmutils/6aa21a42ea6a49d425d40e017ac20d0a5a4abec7

If I revert it, the YaST systemsettings entry works fine.
Comment 4 Rik Mills 2020-05-20 17:39:13 UTC
The same crash can been seen in Kubuntu when trying to launch the external software-properties app (driver manager) via systemsettings.
Comment 5 Wolfgang Bauer 2020-05-20 19:15:50 UTC
It crashes in KCModuleInfo::service() because d->pluginInfo is not valid.

Avoiding the crash would be easy by adding a check for d->pluginInfo.isValid() there, but launching external applications would still not work as they are not really plugins (and the mentioned commit basically removes support for that).

Btw, launching external apps from systemsettings is somewhat "documented" in https://invent.kde.org/plasma/systemsettings/-/blob/master/examples/external-application.txt (by using "X-KDE-ServiceTypes=SystemSettingsExternalApp", systemsettings does install a corresponding kservicetypes file too), so a KF5 update probably shouldn't break that IMHO.
Comment 6 Rik Mills 2020-05-20 19:28:52 UTC
(In reply to Wolfgang Bauer from comment #5)
> Btw, launching external apps from systemsettings is somewhat "documented" in
> https://invent.kde.org/plasma/systemsettings/-/blob/master/examples/external-
> application.txt (by using "X-KDE-ServiceTypes=SystemSettingsExternalApp",
> systemsettings does install a corresponding kservicetypes file too), so a
> KF5 update probably shouldn't break that IMHO.

The Kubuntu one does set X-KDE-ServiceTypes=SystemSettingsExternalApp, but it still crashes.
Comment 7 Wolfgang Bauer 2020-05-20 19:32:39 UTC
(In reply to Rik Mills from comment #6)
> The Kubuntu one does set X-KDE-ServiceTypes=SystemSettingsExternalApp, but
> it still crashes.
Sure (like openSUSE's YaST), that's exactly what broke by that commit.
Comment 8 Wolfgang Bauer 2020-05-20 19:35:44 UTC
(In reply to Wolfgang Bauer from comment #7)
> (In reply to Rik Mills from comment #6)
> > The Kubuntu one does set X-KDE-ServiceTypes=SystemSettingsExternalApp, but
> > it still crashes.
> Sure (like openSUSE's YaST), that's exactly what broke by that commit.

You might have misunderstood me though. I wanted to say that a KF5 update is probably not supposed to break that IMHO.
Comment 9 Rik Mills 2020-05-20 19:37:43 UTC
(In reply to Wolfgang Bauer from comment #8)
> You might have misunderstood me though. I wanted to say that a KF5 update is
> probably not supposed to break that IMHO.

I think I did, and agree.
Comment 10 David Faure 2020-05-20 20:53:35 UTC
Git commit 0f442313d3357ef5d3cf1d3419944660d49d146d by David Faure.
Committed on 20/05/2020 at 20:50.
Pushed by dfaure into branch '2020_05_fix_yast_crash'.

Fix crash when loading an external app KCM like yast

This re-instates the use of KService as a first-class citizen
in KCModuleInfo, apparently needed for non-plugins.

A unittest ensures that the very basic use of service() on such
a desktop file doesn't crash.

M  +2    -1    CMakeLists.txt
A  +7    -0    autotests/CMakeLists.txt
A  +8    -0    autotests/YaST-systemsettings.desktop [TRAILING SPACE] **
A  +42   -0    autotests/kplugininfotest.cpp     [License: LGPL (v2/3+eV)]
M  +53   -18   src/kcmoduleinfo.cpp

The files marked with ** at the end have a problem. either the file contains a trailing space or the file contains a call to a potentially dangerous code. Please read: http://community.kde.org/Sysadmin/CommitHooks#Email_notifications Either fix the trailing space or review the dangerous code.


https://invent.kde.org/frameworks/kcmutils/commit/0f442313d3357ef5d3cf1d3419944660d49d146d
Comment 11 David Faure 2020-05-20 20:55:34 UTC
My apologies for this regression. I had no idea such "fake" KCMs existed.

https://invent.kde.org/frameworks/kcmutils/-/merge_requests/2
Comment 12 Wolfgang Bauer 2020-05-20 21:18:13 UTC
(In reply to David Faure from comment #11)
> My apologies for this regression. I had no idea such "fake" KCMs existed.
> 
> https://invent.kde.org/frameworks/kcmutils/-/merge_requests/2

Thank you!
I can confirm that it fixes the problem here, YaST starts now again as before.
Comment 13 Christoph Feck 2020-05-20 22:28:38 UTC
It looks like gitlab closes issues when committing to work branches...
Comment 14 Ahmad Samir 2020-05-21 02:13:41 UTC
(In reply to Christoph Feck from comment #13)
> It looks like gitlab closes issues when committing to work branches...
dfaure just forgot to name the branch work/ :)
Comment 15 David Faure 2020-05-21 08:23:58 UTC
Git commit 53b41bc90b354ce7642f29d0f0a0464b32b29860 by David Faure.
Committed on 21/05/2020 at 08:23.
Pushed by dfaure into branch 'master'.

Fix crash when loading an external app KCM like yast

This re-instates the use of KService as a first-class citizen
in KCModuleInfo, apparently needed for non-plugins.

A unittest ensures that the very basic use of service() on such
a desktop file doesn't crash.

M  +4    -1    CMakeLists.txt
A  +7    -0    autotests/CMakeLists.txt
A  +8    -0    autotests/YaST-systemsettings.desktop [TRAILING SPACE] **
A  +42   -0    autotests/kplugininfotest.cpp     [License: LGPL (v2/3+eV)]
M  +59   -17   src/kcmoduleinfo.cpp

The files marked with ** at the end have a problem. either the file contains a trailing space or the file contains a call to a potentially dangerous code. Please read: http://community.kde.org/Sysadmin/CommitHooks#Email_notifications Either fix the trailing space or review the dangerous code.


https://invent.kde.org/frameworks/kcmutils/commit/53b41bc90b354ce7642f29d0f0a0464b32b29860
Comment 16 Wolfgang Bauer 2020-05-21 18:34:25 UTC
*** Bug 421828 has been marked as a duplicate of this bug. ***
Comment 17 Patrick Silva 2020-05-29 19:03:56 UTC
*** Bug 422233 has been marked as a duplicate of this bug. ***